<script src="https://www.google.com/recaptcha/api.js?render=_reCAPTCHA_site_key"></script>
<script>

function _registro(){
 var nombre=document.getElementById('registro_nombre').value;
 var email =document.getElementById('registro_email').value;
 var clave =document.getElementById('registro_clave').value;
 var rclave=document.getElementById('registro_rclave').value;

 if(nombre.length<5){
	 document.getElementById('msg_error').innerHTML='Nombre mayor a 5 caracteres';
	 document.getElementById('registro_nombre').focus();
	 return false;
 }
 if(!(/[\w-\.]{3,}@([\w-]{2,}\.)*([\w-]{2,}\.)[\w-]{2,4}/.test(email))) {
		document.getElementById('msg_error').innerHTML="*Email is required";
		document.getElementById('registro_email').focus();
		return false;
	}
 if(clave.length<6){
	 document.getElementById('msg_error').innerHTML='Clave mayor a 5 caracteres';
	 document.getElementById('registro_clave').focus();
	 return false;
 }
 if(rclave!=clave){
	 document.getElementById('msg_error').innerHTML='Claves no coinciden';
	 document.getElementById('registro_rclave').focus();
	 return false;
 }

 document.getElementById('registro_btn').disabled=true;
 var data = new FormData();
 data.append('g-recaptcha-response',grecaptcha.getResponse());
 data.append('archivito','car_sigin2');
 data.append('nombre',nombre);
 data.append('email',email);
 data.append('clave',clave);

 xhttp = new XMLHttpRequest();
 if (!window.XMLHttpRequest) {xhttp = new ActiveXObject("Microsoft.XMLHTTP");}

 xhttp.onreadystatechange = function() {
 if (this.readyState == 4 && this.status == 200){
	document.getElementById('registro_btn').disabled=false;
	document.getElementById("msg_error").innerHTML = this.responseText;
		var myObj2 = JSON.parse(this.responseText);
		document.getElementById("msg_error").innerHTML = myObj2.msg;
		if(myObj2.error=='0'){
			document.getElementById('registro_nombre').value="";
			document.getElementById('registro_email').value="";
			document.getElementById('registro_clave').value="";
			document.getElementById('registro_rclave').value="";
		}
		
  }
 };
  xhttp.open("POST", "archivito.php", false);
  xhttp.send(data);


}
</script>
<section id="registro">
	<div class="registro_cont">
    	<div class="registro_h1"><a href="index.php"><?php echo $empr_nombre;?></a></div>
    	<div class="registro_subcont">
        	<div class="registro_titulo">Crea tu cuenta</div>
            <!--<div class="registro_titulo">Si deseas puedes registrarte</div>-->
            <div class="registro_div"><label class="registro_lbl">Tu nombre</label></div>
            <div class="registro_divs"><input type="text" class="registro_txt" id="registro_nombre" maxlength="100"></div>
            <div class="registro_div"><label class="registro_lbl">Correo</label></div>
            <div class="registro_divs"><input type="text" class="registro_txt" id="registro_email" maxlength="150"></div>

            <div class="registro_div"><label class="registro_lbl">Clave</label></div>
            <div class="registro_divs"><input type="password" class="registro_txt" id="registro_clave" maxlength="10"></div>

            <div class="registro_div"><label class="registro_lbl">Repita clave</label></div>
            <div class="registro_divs"><input type="password" class="registro_txt" id="registro_rclave" maxlength="10"></div>
            
            <div class="registro_div"><div class="g-recaptcha"  data-sitekey="6LcHKfMUAAAAADSqtLD76t6NOYoZDy7LxwT8zt7C"></div></div>
            <div class="registro_div"><input type="button" class="registro_btn" id="registro_btn" value="Ingresar" onclick="_registro();"></div>
        </div>
    
    </div>
</section>
<br />
<div align="center"><div align="center"><a href="?opt=login" class="registro_sigin">Si tienes una cuenta? Ingresa!</a></div></div>
